{% extends 'navbar.html' %}
{% load static %}
{% block content %}
  <section name="input-list" id="input-list">
      <div class="container">
        <form id="form" method="POST" action="{% url 'add_status' %}">
              <h2>Hello, Apa kabar?</h2>
              {% csrf_token %}
              {{form}}
              <input id="post-button" type="submit" class="btn btn-lg btn-block btn-info" value="Post">
              <br>
          </form>
      </div>
  </section>
  <section name="my-list" id="my-list">
      <div class="container">
          <h2 class="my-list-title">Timeline</h2>
          <div class="flex">
          {% if model %}
            {% for data in model %}
            <div class="flex-item" id="status">
            <div class="postee">
            <p><img id="depe" class="img" src = "https://www.shareicon.net/data/512x512/2015/09/24/106490_flower_512x512.png" width="50px">Me</p>
            </div>
            <div class="isi-status">{{data.description}}</div>
            <div class="date-added" id="date-added">
              {{data.created_date}}
            </div>
            </div>
            {% endfor %}
          {% else %}
            <div class="alert alert-danger text-center">
                  <strong>Oops!</strong> Tidak ada post di timeline.
              </div>
          {% endif %}
        </div>
      </div>
  </section>
  {% endblock %}
